/* Reset CSS untuk menghilangkan padding dan margin default */
body, h1, h2, h3, p, ul, li {
    margin: 0;
    padding: 0;
}

/* Gaya umum untuk elemen-elemen halaman */
body {
    font-family: Arial, sans-serif;
    background-color: #f0f0f0;
    margin: 0;
    padding: 0;
}

body, html {
    height: 100%;
  }
  
  * {
    box-sizing: border-box;
  }
  
  .bg-image {
    /* The image used */
    background-image: url("felix-mittermeier-loyLE8_arLY-unsplash.jpg");
  
    /* Add the blur effect */
    filter: blur(1px);
    -webkit-filter: blur(3px);
  
    /* Full height */
    height: 50%;
  
    /* Center and scale the image nicely */
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: cover;
  }
  
  /* Position text in the middle of the page/image */
  .bg-text {
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0, 0.4); /* Black w/opacity/see-through */
    color: white;
    font-weight: bold;
    border: 3px solid #f1f1f1;
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    width: 50%;
    padding: 20px;
    text-align: center;
  }

h1 {
    color: #fff;
}

header {
    background-color: #000000;
    color: #fff;
    text-align: center;
    padding: 20px;
}

header h1 {
    font-size: 2rem;
}

nav ul {
    list-style: none;
    display: flex;
    justify-content: center;
    background-color: #000000;
    padding: 10px;
}

nav li {
    margin: 0 20px;
}

nav a {
    text-decoration: none;
    color: #fff;
}

section {
    padding: 40px;
}

hr {
    border: 0;
    height: 30px;
    border-style: solid;
    border-color: #000000;
    border-width: 5px 0 0 0;
    border-radius: 20px;
}

hr::before {
    display: block;
    content: "";
    height: 30px;
    margin-top: -31px;
    border-style: solid;
    border-color: #000000;
    border-width: 0 0 1px 0;
    border-radius: 20px;
}

section h2 {
    font-size: 1.5rem;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    color: #333;
}

/* CSS yang ada sebelumnya */

section p {
    font-size: 1rem;
    font-family: monospace;
    color: #000000;
    line-height: 1.5;
    text-align: justify; /* Menjadikan teks rata kiri-kanan */
}

/* CSS yang ada setelahnya */


/* CSS yang ada sebelumnya */

/* CSS yang ada sebelumnya */

.project {
    margin: 20px 0; /* Mengurangi margin */
    text-align: center;
    display: flex;
    align-items: center; /* Rata tengah secara vertikal */
    justify-content: center; /* Rata tengah secara horisontal */
    flex-direction: column; /* Mengatur elemen menjadi tumpukan vertikal */
    background-color: #333;
    /* background-image: url(casey-horner-pXZxuXmpsNo-unsplash.jpg); */
    border-radius: 20px; /* Mengurangi nilai border-radius */
    padding: 50px; /* Mengurangi nilai padding */
}


.project h3 {
    font-size: 1rem;
    color: #ffffff;
    margin-top: 10px;
}

.project img {
    width: 40%;
    max-width: 100%;
    height: auto;
    margin: 10px;
    border: 5px solid #ffffff;
}

footer {
    background-color: #333;
    color: #fff;
    text-align: center;
    padding: 10px;
}

/* ini biar tampilannya responsif di hp */
@media (max-width: 768px) {
    nav ul {
        flex-direction: column;
        align-items: center;
    }

    nav li {
        margin: 10px 0;
    }
}
